Katello - Feature #5952

[RFE] Couldn't find a way to edit filter name and its description
05/27/2014 04:53 PM - Brad Buckingham

Status: Closed
Priority: Normal
Assignee: Adam Ruzicka
Category: Web Ul
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1119804 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/429
6
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1079174

Description of problem:

| created a CV filter with name test and while creation, | didn't pass the description. Now later if | want to add the description or want
to edit the name then there is no way to do it.

Version-Release number of selected component (if applicable):
shap4

rubygem-katello_api-0.0.8-2.el6sat.noarch
ruby193-rubygem-katello-1.5.0-22.el6sat.noarch
katello-repos-1.5.1-1.git.14.0868bd1.el6.noarch
rubygem-hammer_cli_katello-0.0.3-5.el6sat.noarch
katello-1.5.0-18.el6sat.noarch
katello-certs-tools-1.5.5-1.el6sat.noarch
katello-installer-0.0.28-1.el6sat.noarch
pulp-katello-plugins-0.2-1.el6sat.noarch
katello-ca-1.0-1.noarch

katello-apache-1.0-1.noarch
foreman-selinux-1.5.0-0.develop.el6sat.noarch
rubygem-hammer_cli_foreman-0.0.18-7.el6sat.noarch
foreman-proxy-1.5.3-1.el6sat.noarch
ruby193-rubygem-foreman-tasks-0.4.0-5.el6sat.noarch
rubygem-foreman_api-0.1.11-3.el6sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.1-4.el6sat.noarch
foreman-postgresql-1.5.0.9-1.el6sat.noarch
foreman-1.5.0.9-1.el6sat.noarch
foreman-release-1.5.0-0.develop.201403182248qitdf471c7.el6.noarch

How reproducible:
always

Steps to Reproduce:

1. create a CV

2. create a filter under it

3. when creating a filter, don't pass the description

4. now try to edit the name/description of filter created in step3
Actual results:

no way to edit the name and description of test filter

Expected results:
user should be able to update name/description of filter too.

Additional info:

Associated revisions
https://bugzilla.redhat.com/show_bug.cgi?id=1079174

Revision 4653a221 - 07/22/2014 09:36 AM - Adam Ruzicka

Fixes #5952, BZ1079174 - Fixes issue with content view filter name and description being impossible to edit

Revision 2cb88714 - 07/22/2014 09:36 AM - Adam Ruzicka

Fixes #5952, BZ1079174 - Fixes issue with content view filter name and description being impossible to edit

Revision ¢75755e6 - 07/29/2014 12:31 PM - Walden Raines

Merge pull request #4296 from adamruzicka/fixes-5952

Fixes #5952, BZ1079174 - Fixes issue with content view filter name and d...
Revision 1f001cbd - 07/29/2014 12:31 PM - Walden Raines

Merge pull request #4296 from adamruzicka/fixes-5952

Fixes #5952, BZ1079174 - Fixes issue with content view filter name and d...

History

#1 - 05/27/2014 04:53 PM - Brad Buckingham
- Tracker changed from Bug to Feature

- Triaged set to Yes

#2 - 07/15/2014 10:46 AM - Justin Sherrill
- Bugzilla link changed from 1079174 to 1119804

#3 - 07/17/2014 08:31 AM - Walden Raines
- Status changed from New to Ready For Testing
- Assignee set to Adam Ruzicka

- Pull request https://github.com/Katello/katello/pull/4296 added

#4 - 07/22/2014 09:36 AM - The Foreman Bot

- Target version set to 49

#5 - 07/28/2014 08:42 AM - Eric Helms

- Target version changed from 49 to 54

#6 - 07/29/2014 01:01 PM - Adam Ruzicka
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|4653a221¢c966882346328ce9305889235{211096.

#7 - 08/22/2014 08:27 AM - Eric Helms

- translation missing: en.field_release set to 13
